gtk-sharp Gtk# is thread aware, but not thread safe; See the Gtk# Thread Programming for details. GLib.Object System.Obsolete("Replaced by StyleContext") Methods for drawing widget parts.
- Constructor
  Public constructor
- Constructor
  Pointer to the C object.
  Internal constructor

  This is an internal constructor, and should not be used by user code.

- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  Gtk.Style `` , the window to attach the style to Attaches a style to a window; this process allocates the colors and creates the GCs (graphics components) for the style - it specializes it to a particular visual and colormap. The process may involve the creation of a new style if the style has already been attached to a window with a different style and colormap. Either , or a newly-created . If the style is newly created, the style parameter will be dereferenced, and the new style will have a reference count belonging to the caller.
- Method
  Gdk.Color `` A , the state being considered Sets the background of to the background color or pixmap specified by style for the state. A color to be used for the background.
- Property
  Gdk.Color[] The background colors. A
- Method
  Gdk.Color `` a Returns the base color for the given state. a
- Property
  Gdk.Color[] The base color set. a
- Property
  Gdk.Color Black. A
- Property
  GLib.Property("context")
  Gtk.StyleContext To be added. To be added. To be added.
- Method
  System.Obsolete
  Gtk.Style Copy this style object to a new style object. A , a duplicate of this style.
- Method
  Gdk.Color `` a Gets the dark color for a given state. a
- Property
  Gdk.Color[] Dark colors indexed by state. a
- Method
  System.Obsolete
  System.Void Detaches this style from the window it's attached to.
- Property
  Pango.FontDescription The value for the style. a
- Property
  Pango.FontDescription The font description used for a widget. a
- Method
  Gdk.Color `` A , the state being considered Gets the foreground color for a particular state A
- Property
  Gdk.Color[] The foreground colors A
- Method
  System.Obsolete
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Obsolete
  GLib.GType GType Property. a Returns the native value for .
- Method
  Gdk.Color `` a Gets the light color for a given state. a
- Property
  Gdk.Color[] Light colors indexed by state. a
- Method
  System.Obsolete
  System.Boolean `` `` name of color to lookup. location to put color. Looks up a color by name.. if , is filled in.
- Method
  System.Obsolete
  Gtk.IconSet `` A Gets the icon set for the given . A
- Method
  Gdk.Color `` a Gets the mid color for a given state. a
- Property
  Gdk.Color[] Mid colors indexed by state. a
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideClone", Type=typeof(Gtk.Style))
  Gtk.Style To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideCopy", Type=typeof(Gtk.Style))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawArrow", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawBox", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawBoxGap", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawCheck", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawDiamond", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawExpander", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawExtension", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawFlatBox", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawFocus", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawHandle", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawHline", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawLayout", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawOption", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawResizeGrip", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawShadow", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawShadowGap", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawSlider", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawSpinner", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawTab", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideDrawVline", Type=typeof(Gtk.Style))
  System.Void `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideInitFromRc", Type=typeof(Gtk.Style))
  System.Void `` To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRealize", Type=typeof(Gtk.Style))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideRenderIcon", Type=typeof(Gtk.Style))
  Gdk.Pixbuf `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideSetBackground", Type=typeof(Gtk.Style))
  System.Void `` `` To be added. To be added. To be added. To be added.
- Method
  GLib.DefaultSignalHandler(ConnectionMethod="OverrideUnrealize", Type=typeof(Gtk.Style))
  System.Void Default handler for the event. Override this method in a subclass to provide a default handler for the event.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  System.Obsolete
  System.Void `` `` `` `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Event
  GLib.Signal("realize")
  System.EventHandler Event triggered when the style has been initialized for a particular colormap and depth. Connecting to this signal is probably seldom useful since most of the time applications and widgets only deal with styles that have been already realized.
- Method
  System.Obsolete
  Gdk.Pixbuf `` `` `` `` `` `` A A A A A A Renders the icon specified by at the given according to the given parameters and returns the result in a pixbuf. A TODO: needs an example.
- Method
  System.Obsolete
  System.Void `` `` A A Set the background of to the color or pixmap specified by this style for .
- Method
  Gdk.Color `` a Returns the color for text in the given state. a
- Property
  Gdk.Color[] The colors to use for text. a
- Event
  GLib.Signal("unrealize")
  System.EventHandler Event raised when the aspects of the style specific to a particular colormap and depth are being cleaned up. A connection to this signal can be useful if a widget wants to cache objects like a as object data on . This signal provides a convenient place to free such cached objects.
- Property
  Gdk.Color White. A
- Property
  System.Int32 The "xthickness" value of the style. a This value is used for various horizontal padding values in Gtk.
- Property
  System.Int32 The X thickness, which is used for horizontal padding. An integer. (FIXME: xthickness and ythickness could be better documented.)
- Property
  System.Int32 The "ythickness" value of the style. a This value is used for various vertical padding values in Gtk.
- Property
  System.Int32 The Y thickness, which is used for vertical padding. A